﻿
Namespace Services
    Public Interface IMessageboxService


        Function Show(title As String, message As String, button As MessageBoxButton, icon As MessageBoxImage) As MessageBoxResult



    End Interface


    Public Enum MessageBoxButton
        OK = 0
        OKCancel = 1
        YesNoCancel = 3
        YesNo = 4
    End Enum

    Public Enum MessageBoxImage
        None = 0
        [Error] = 16
        Question = 32
        Warning = 48
        Information = 64
    End Enum
    Public Enum MessageBoxResult
        None = 0
        OK = 1
        Cancel = 2
        Yes = 6
        No = 7
    End Enum

End Namespace
